create procedure [sistema].[sp_guardarRubroDeEmpresa]
@numEmpresa int,
@numId int,
@numRubro int,
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into sistema.config_rubrosEmpresa(idEmpresa,idRubro,idUsuario) values(@numEmpresa,@numRubro,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;
			update sistema.config_rubrosEmpresa set idEmpresa = @numEmpresa,idRubro = @numRubro where id = @dbId;
		end

	set @dbRespuesta = 'success';
end